{ config
, pkgs
, inputs
, ...
}:
let
  wallpaper = inputs.nix-wallpaper.packages.${pkgs.system}.default.override {
    logoSize = 24;
    preset = "gruvbox-dark-rainbow";
  };
  wallpaperPath = "${wallpaper}/share/wallpapers/nixos-wallpaper.png";
in
{
  programs.mpv = {
    enable = true;
    package = pkgs.mpv;
  };
  programs.thunderbird = {
    enable = true;
    package = pkgs.betterbird;
    profiles."main" = {
      isDefault = true;
    };
  };

  home = {
    file.".background.png".source = wallpaperPath;

    packages = with pkgs; [
      bitwarden
      airshipper
      ardour
      # blender
      brave
      cavalier
      ffmpeg
      freetube
      filelight
      element-desktop
      inkscape
      jellyfin-mpv-shim
      pkgs.unstable-pkgs.warp-terminal
      libsForQt5.kasts
      # miraclecast
      kate
      kdenlive
      krita
      kdePackages.kleopatra
      kdePackages.plasma-vault
      kdePackages.plasma-browser-integration
      nextcloud-client
      onlyoffice-bin
      protonup-qt
      # rustdesk
      signal-desktop
      tutanota-desktop
      webcord-vencord
      tome4
      shattered-pixel-dungeon
    ];
  };
}
